%define name iptables-converter
%define version 0.7
%define unmangled_version 0.7
%define release 1

Summary: convert set of iptables-commands to iptables-save format
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{unmangled_version}.tar.gz
License: GNU General Public License version 3 (or later)
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Johannes Hubertz <johannes@hubertz.de>
Url: https://github.com/sl0/conv.git

%description
# ################################################################### #
#                                                                     #
#       README.txt for iptables_converter.py                          #
#                                                                     #
#       iptables_converter.py:                                        #
#                convert iptables to iptables-save format             #
#                output comes with [0:0] for iptables-restore -c      #
#       License: GPLv3, or any newer version                          #
#                see LICENSE.txt                                      #
#                                                                     #
#       Author:  Johannes Hubertz   <johannes@hubertz.de>             #
#       Version: 0.7                                                  #
#       Date:    2013-07-20                                           #
#                                                                     #
#       Have fun!                                                     #
#                                                                     #
# ################################################################### #


iptables_converter.py
=====================

iptables_converter.py:
        speeds up loading of many iptables-commands
        by converting to iptables-save format and then
        loading through iptables-restore

    Usage:
        iptables_converter.py [ -s source ]

        which assumes, source is a plain ascii-file containing
        lines starting with iptables to build a firewall ruleset
        lines starting with /sbin/iptables are understood as well
        ommitting -s source defaults to read a file named: rules

        output is stdout to give a maximum of flexibility
        paket-countes and byte-counters included now: [0:0]
        which keeps compatiblity to iptables-restore as well as to
        iptables-restore -c

        Tests have been written using unittests, see file:
        iptables_converter_tests.py, test coverage 92%,
        untested: main and optparse, but they seem to be OK ;-)

        Comments welcome
# ################################################################### #
# EoF


%prep
%setup -n %{name}-%{unmangled_version}

%build
python setup.py build

%install
python setup.py install -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
